#!/bin/bash
tmpdir=$(mktemp -d)
cd $tmpdir

cat > doc.tex << EOF
\documentclass[varwidth]{standalone}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{siunitx}
\sisetup{
 per-mode=fraction,
 quotient-mode=fraction
}
\renewcommand*\familydefault{\sfdefault}

\begin{document}
$(cat $OLDPWD/$1)
\end{document}
EOF

lualatex doc.tex
convert -density 600 doc.pdf $OLDPWD/$2
cd -
rm -rf $tmpdir
